Skip to main content
GET
/
v1
/
assessments
/
{id}
Get an assessment
curl --request GET \
  --url https://api.app.chainloop.dev/v1/assessments/{id} \
  --header 'Authorization: Bearer <token>'
{
  "result": {
    "justification_code": "ASSESSMENT_JUSTIFICATION_CODE_UNSPECIFIED",
    "note": "note",
    "remediation_branch_name": "remediation_branch_name",
    "created_at": "2000-01-23T04:56:07.000Z",
    "external_id": "external_id",
    "remediation_pr_url": "remediation_pr_url",
    "products": [
      {
        "purl_glob": "purl_glob"
      },
      {
        "purl_glob": "purl_glob"
      }
    ],
    "remediation_status": "remediation_status",
    "updated_at": "2000-01-23T04:56:07.000Z",
    "project_id": "project_id",
    "cvss_vector": "cvss_vector",
    "scope": "ASSESSMENT_SCOPE_UNSPECIFIED",
    "id": "id",
    "severity": "FINDING_SEVERITY_UNSPECIFIED",
    "effective_reviewed_at": "2000-01-23T04:56:07.000Z",
    "pending_revision": {
      "justification_code": null,
      "note": "note",
      "approval_status": "ASSESSMENT_APPROVAL_STATUS_UNSPECIFIED",
      "reviewed_at": "2000-01-23T04:56:07.000Z",
      "created_at": "2000-01-23T04:56:07.000Z",
      "assessment_id": "assessment_id",
      "project_version_id": "project_version_id",
      "reviewer": {
        "intercom_hash": "intercom_hash",
        "created_at": "2000-01-23T04:56:07.000Z",
        "last_name": "last_name",
        "id": "id",
        "first_name": "first_name",
        "email": "email",
        "instance_admin": true
      },
      "created_by": {
        "api_token": {
          "id": "id"
        },
        "type": "ASSESSMENT_CREATOR_TYPE_UNSPECIFIED",
        "user": {
          "intercom_hash": "intercom_hash",
          "created_at": "2000-01-23T04:56:07.000Z",
          "last_name": "last_name",
          "id": "id",
          "first_name": "first_name",
          "email": "email",
          "instance_admin": true
        },
        "ai_agent": {
          "name": "name"
        }
      },
      "revision": 1,
      "products": [
        {
          "purl_glob": "purl_glob"
        },
        {
          "purl_glob": "purl_glob"
        }
      ],
      "review_note": "review_note",
      "scope": null,
      "id": "id",
      "status": null
    },
    "remediation_pr_number": 0,
    "project_version_id": "project_version_id",
    "remediation_confidence": 6.027456183070403,
    "created_by": {
      "api_token": {
        "id": "id"
      },
      "type": "ASSESSMENT_CREATOR_TYPE_UNSPECIFIED",
      "user": {
        "intercom_hash": "intercom_hash",
        "created_at": "2000-01-23T04:56:07.000Z",
        "last_name": "last_name",
        "id": "id",
        "first_name": "first_name",
        "email": "email",
        "instance_admin": true
      },
      "ai_agent": {
        "name": "name"
      }
    },
    "remediation_status_reason": "remediation_status_reason",
    "remediation_updated_at": "2000-01-23T04:56:07.000Z",
    "organization_id": "organization_id",
    "effective_reviewer": {
      "intercom_hash": "intercom_hash",
      "created_at": "2000-01-23T04:56:07.000Z",
      "last_name": "last_name",
      "id": "id",
      "first_name": "first_name",
      "email": "email",
      "instance_admin": true
    },
    "status": "ASSESSMENT_STATUS_UNSPECIFIED"
  },
  "finding_ids": [
    "finding_ids",
    "finding_ids"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainloop.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token for authentication

Path Parameters

id
string
required

Assessment ID

Query Parameters

project_version_name
string

If provided, scopes the returned finding_ids to findings belonging to this project version

If provided, scopes the returned finding_ids to findings belonging to this project version

Response

A successful response.

Response for Get method

result
AssessmentItem · object

Full representation of a security assessment

Example:
{
"justification_code": "ASSESSMENT_JUSTIFICATION_CODE_UNSPECIFIED",
"note": "note",
"remediation_branch_name": "remediation_branch_name",
"created_at": "2000-01-23T04:56:07.000Z",
"external_id": "external_id",
"remediation_pr_url": "remediation_pr_url",
"products": [
{ "purl_glob": "purl_glob" },
{ "purl_glob": "purl_glob" }
],
"remediation_status": "remediation_status",
"updated_at": "2000-01-23T04:56:07.000Z",
"project_id": "project_id",
"cvss_vector": "cvss_vector",
"scope": "ASSESSMENT_SCOPE_UNSPECIFIED",
"id": "id",
"severity": "FINDING_SEVERITY_UNSPECIFIED",
"effective_reviewed_at": "2000-01-23T04:56:07.000Z",
"pending_revision": {
"justification_code": null,
"note": "note",
"approval_status": "ASSESSMENT_APPROVAL_STATUS_UNSPECIFIED",
"reviewed_at": "2000-01-23T04:56:07.000Z",
"created_at": "2000-01-23T04:56:07.000Z",
"assessment_id": "assessment_id",
"project_version_id": "project_version_id",
"reviewer": {
"intercom_hash": "intercom_hash",
"created_at": "2000-01-23T04:56:07.000Z",
"last_name": "last_name",
"id": "id",
"first_name": "first_name",
"email": "email",
"instance_admin": true
},
"created_by": {
"api_token": { "id": "id" },
"type": "ASSESSMENT_CREATOR_TYPE_UNSPECIFIED",
"user": {
"intercom_hash": "intercom_hash",
"created_at": "2000-01-23T04:56:07.000Z",
"last_name": "last_name",
"id": "id",
"first_name": "first_name",
"email": "email",
"instance_admin": true
},
"ai_agent": { "name": "name" }
},
"revision": 1,
"products": [
{ "purl_glob": "purl_glob" },
{ "purl_glob": "purl_glob" }
],
"review_note": "review_note",
"scope": null,
"id": "id",
"status": null
},
"remediation_pr_number": 0,
"project_version_id": "project_version_id",
"remediation_confidence": 6.027456183070403,
"created_by": {
"api_token": { "id": "id" },
"type": "ASSESSMENT_CREATOR_TYPE_UNSPECIFIED",
"user": {
"intercom_hash": "intercom_hash",
"created_at": "2000-01-23T04:56:07.000Z",
"last_name": "last_name",
"id": "id",
"first_name": "first_name",
"email": "email",
"instance_admin": true
},
"ai_agent": { "name": "name" }
},
"remediation_status_reason": "remediation_status_reason",
"remediation_updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"effective_reviewer": {
"intercom_hash": "intercom_hash",
"created_at": "2000-01-23T04:56:07.000Z",
"last_name": "last_name",
"id": "id",
"first_name": "first_name",
"email": "email",
"instance_admin": true
},
"status": "ASSESSMENT_STATUS_UNSPECIFIED"
}
finding_ids
string[]

IDs of findings linked to this assessment